package com.yeejoin.amos.fas.common.enums;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


public enum ResourceTypeDefEnum {
	riskSource("风险点","riskSource"),
	patrol("巡检点","patrol"),
	impEquipment("重点设备","impEquipment"),
	monitorEquipment("探测器","monitorEquipment"),
	hydrant("消火栓","hydrant"),
	pool("消防水池","pool"),
	fireCar("消防车","fireCar"),
	fireEquipment("灭火器材","fireEquipment"),
	fireChamber("消防小室","fireChamber"),
	fireFoamRoom("消防泡沫间","fireFoamRoom"),
	video("视频设备","video");
	
	/**
	 * 名称，描述
	 */
	private String name;
	/**
	 * 编码
	 */
	private String code;
	
	private ResourceTypeDefEnum(String name,String code){
		this.name = name;
		this.code = code;
	}
	
	public static ResourceTypeDefEnum getEnum(String code) {
		ResourceTypeDefEnum resourceTypeDefEnum = null;
		for(ResourceTypeDefEnum type: ResourceTypeDefEnum.values()) {
			if (type.getCode().equals(code)) {
				resourceTypeDefEnum = type;
				break;
			}
		}
		
		return resourceTypeDefEnum;
	}
	
	public static List<Map<String,String>> getEnumList() {
		List<Map<String,String>> list = new ArrayList<>();
		for(ResourceTypeDefEnum e : ResourceTypeDefEnum.values()) {
			Map<String,String> msgType = new HashMap<>();
			msgType.put(e.getCode(),e.getName());
			list.add(msgType);
		}
		return list;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}
}

