package com.yeejoin.amos.fas.dao.entity;

import java.util.List;
import java.util.Map;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * 消防站点
 * @author Administrator
 *
 */
@Entity
@Table(name="f_fire_station")
@NamedQuery(name="FireStation.findAll", query="SELECT f FROM FireStation f")
public class FireStation extends BasicEntity{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	/**
	 * 名称
	 */
	private String name;
	/**
	 * 编号
	 */
	private String code;
	
	/**
	 * 类型 1：消防小室，2：消防泡沫间
	 */
	private String type;
	
	/**
	 * 所属风险区域id
	 */
	@Column(name="risk_source_id")
	private Long riskSourceId;
	

	/**
	 * 位置
	 */
	private String address;
	
	/**
	 * 3纬坐标
	 */
	private String position3d;
	
	/**
	 * 3维楼层
	 */
	private String floor3d;	
	
	/**
	 * 是否室内
	 */
	@Column(name="is_indoor")
	private Boolean isIndoor=true;
	
	/**
	 * 组织
	 */
	@Column(name="org_code")
	private String orgCode;
	
	/**
	 * 创建人
	 */
	@Column(name="create_by")
	private int createBy;
	
	
	@Column(name="picture")
	private String picture;

	private List<Map> fireEquipmentInfo;


	@Transient
	public List<Map> getFireEquipmentInfo() {
		return fireEquipmentInfo;
	}

	public void setFireEquipmentInfo(List<Map> fireEquipmentInfo) {
		this.fireEquipmentInfo = fireEquipmentInfo;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getPosition3d() {
		return position3d;
	}

	public void setPosition3d(String position3d) {
		this.position3d = position3d;
	}

	public String getFloor3d() {
		return floor3d;
	}

	public void setFloor3d(String floor3d) {
		this.floor3d = floor3d;
	}

	public Boolean getIsIndoor() {
		return isIndoor;
	}

	public void setIsIndoor(Boolean isIndoor) {
		this.isIndoor = isIndoor;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public int getCreateBy() {
		return createBy;
	}

	public void setCreateBy(int createBy) {
		this.createBy = createBy;
	}

	public String getPicture() {
		return picture;
	}

	public void setPicture(String picture) {
		this.picture = picture;
	}

	public Long getRiskSourceId() {
		return riskSourceId;
	}

	public void setRiskSourceId(Long riskSourceId) {
		this.riskSourceId = riskSourceId;
	}
}
