package com.yeejoin.amos.fas.dao.entity;

import java.math.BigDecimal;
import java.math.BigInteger;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.Lob;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQuery;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonBackReference;


/**
 * The persistent class for the fmea database table.
 * 
 */
@Entity
@Table(name="f_fmea")
@NamedQuery(name="Fmea.findAll", query="SELECT f FROM Fmea f")
public class Fmea extends BasicEntity  {
	private static final long serialVersionUID = 1L;

	@Column(name="create_by")
	private int createBy;

	@Lob
	private String disposal;

	@Lob
	private String engineering;

	@Column(name="evaluation_did")
	private BigInteger evaluationDid;

	@Column(name="evaluation_oid")
	private BigInteger evaluationOid;

	@Column(name="evaluation_oid")
	private BigInteger evaluationSid;

	@Lob
	private String management;

	@Lob
	private String protection;

	private String remark;

	@Column(name="risk_factors_id")
	private Long riskFactorsId;

	@Column(name="risk_source_id")
	private Long riskSourceId;

	private BigDecimal rpni;

	@Lob
	private String train;

	private RiskSource riskSource;
	
	public Fmea() {
	}

	public int getCreateBy() {
		return this.createBy;
	}

	public void setCreateBy(int createBy) {
		this.createBy = createBy;
	}

	public String getDisposal() {
		return this.disposal;
	}

	public void setDisposal(String disposal) {
		this.disposal = disposal;
	}

	public String getEngineering() {
		return this.engineering;
	}

	public void setEngineering(String engineering) {
		this.engineering = engineering;
	}

	public BigInteger getEvaluationDid() {
		return this.evaluationDid;
	}

	public void setEvaluationDid(BigInteger evaluationDid) {
		this.evaluationDid = evaluationDid;
	}

	public BigInteger getEvaluationOid() {
		return this.evaluationOid;
	}

	public void setEvaluationOid(BigInteger evaluationOid) {
		this.evaluationOid = evaluationOid;
	}

	public BigInteger getEvaluationSid() {
		return this.evaluationSid;
	}

	public void setEvaluationSid(BigInteger evaluationSid) {
		this.evaluationSid = evaluationSid;
	}

	public String getManagement() {
		return this.management;
	}

	public void setManagement(String management) {
		this.management = management;
	}

	public String getProtection() {
		return this.protection;
	}

	public void setProtection(String protection) {
		this.protection = protection;
	}

	public String getRemark() {
		return this.remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Long getRiskFactorsId() {
		return this.riskFactorsId;
	}

	public void setRiskFactorsId(Long riskFactorsId) {
		this.riskFactorsId = riskFactorsId;
	}

	public Long getRiskSourceId() {
		return this.riskSourceId;
	}

	public void setRiskSourceId(Long riskSourceId) {
		this.riskSourceId = riskSourceId;
	}

	public BigDecimal getRpni() {
		return this.rpni;
	}

	public void setRpni(BigDecimal rpni) {
		this.rpni = rpni;
	}

	public String getTrain() {
		return this.train;
	}

	public void setTrain(String train) {
		this.train = train;
	}

	@ManyToOne
	@JoinColumn(name = "riskSourceId", referencedColumnName = "id", updatable = false, insertable = false)	
	public RiskSource getRiskSource() {
		return riskSource;
	}

	@JsonBackReference
	public void setRiskSource(RiskSource riskSource) {
		this.riskSource = riskSource;
	}

}