package com.yeejoin.amos.fas.dao.entity;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.List;

/**
 * The persistent class for the risk_source database table.
 * 
 */
@Entity
@Table(name = "f_risk_source")
@NamedQuery(name = "RiskSource.findAll", query = "SELECT r FROM RiskSource r")
public class RiskSource extends BasicEntity {
	private static final long serialVersionUID = 1L;

	private String code;

	/**
	 * 3维坐标
	 */
	private String position3d;

	/**
	 * 3维楼层
	 */
	private String floor3d;

	@Column(name = "is_indoor")
	private Boolean isIndoor;

	@Column(name = "create_by")
	private int createBy;

	private String name;

	@Column(name = "org_code")
	private String orgCode;

	@Column(name = "parent_id")
	private Long parentId;

	private String remark;

	@Column(name = "risk_level_id")
	private Long riskLevelId;

	@Column(name = "status")
	private String status;

	@Column(name = "is_region")
	private String isRegion;

	private BigDecimal rpn;

	private BigDecimal increment;

	private List<Fmea> fmeaList;
	private List<RiskSourceEquipment> riskSourceEquipment;
	private List<RiskSourcePointInputitem> riskSourcePointInputitem;

	private List<RpnChangeLog> rpnChangeLogList;


	private BigDecimal rpni = new BigDecimal(0) ;

	public BigDecimal getRpni() {
		return rpni;
	}

	public void setRpni(BigDecimal rpni) {
		this.rpni = rpni;
	}

	public BigDecimal getIncrement() {
		return increment;
	}

	public void setIncrement(BigDecimal increment) {
		this.increment = increment;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getIsRegion() {
		return isRegion;
	}

	public void setIsRegion(String isRegion) {
		this.isRegion = isRegion;
	}

	public RiskSource() {
	}

	public String getCode() {
		return this.code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public int getCreateBy() {
		return this.createBy;
	}

	public void setCreateBy(int createBy) {
		this.createBy = createBy;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getOrgCode() {
		return this.orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public Long getParentId() {
		return this.parentId;
	}

	public void setParentId(Long parentId) {
		this.parentId = parentId;
	}

	public String getRemark() {
		return this.remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Long getRiskLevelId() {
		return this.riskLevelId;
	}

	public void setRiskLevelId(Long riskLevelId) {
		this.riskLevelId = riskLevelId;
	}

	public BigDecimal getRpn() {
		return this.rpn;
	}

	public void setRpn(BigDecimal rpn) {
		this.rpn = rpn;
	}

	@OneToMany(mappedBy = "riskSource", cascade = { CascadeType.REMOVE })
	public List<Fmea> getFmeaList() {
		return fmeaList;
	}

	public void setFmeaList(List<Fmea> fmeaList) {
		this.fmeaList = fmeaList;
	}

	@OneToMany(mappedBy = "riskSource", cascade = { CascadeType.REMOVE })
	public List<RiskSourceEquipment> getRiskSourceEquipment() {
		return riskSourceEquipment;
	}

	public void setRiskSourceEquipment(List<RiskSourceEquipment> riskSourceEquipment) {
		this.riskSourceEquipment = riskSourceEquipment;
	}

	@OneToMany(mappedBy = "riskSource", cascade = { CascadeType.REMOVE })
	public List<RpnChangeLog> getRpnChangeLogList() {
		return rpnChangeLogList;
	}

	public void setRpnChangeLogList(List<RpnChangeLog> rpnChangeLogList) {
		this.rpnChangeLogList = rpnChangeLogList;
	}

	@OneToMany(mappedBy = "riskSource", cascade = { CascadeType.REMOVE })
	public List<RiskSourcePointInputitem> getRiskSourcePointInputitem() {
		return riskSourcePointInputitem;
	}

	public void setRiskSourcePointInputitem(List<RiskSourcePointInputitem> riskSourcePointInputitem) {
		this.riskSourcePointInputitem = riskSourcePointInputitem;
	}

	public String getPosition3d() {
		return position3d;
	}

	public void setPosition3d(String position3d) {
		this.position3d = position3d;
	}

	public String getFloor3d() {
		return floor3d;
	}

	public void setFloor3d(String floor3d) {
		this.floor3d = floor3d;
	}

	public Boolean getIsIndoor() {
		return isIndoor;
	}

	public void setIsIndoor(Boolean isIndoor) {
		this.isIndoor = isIndoor;
	}


}