package com.yeejoin.amos.fas.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQuery;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonBackReference;


/**
 * The persistent class for the risk_source_equipment database table.
 * 
 */
@Entity
@Table(name="f_risk_source_equipment")
@NamedQuery(name="RiskSourceEquipment.findAll", query="SELECT r FROM RiskSourceEquipment r")
public class RiskSourceEquipment extends BasicEntity  {
	private static final long serialVersionUID = 1L;

	@Column(name="equipment_id")
	private Long equipmentId;

	@Column(name="risk_source_id")
	private Long  riskSourceId;
	
	/**
	 * 消防设备id
	 */
	@Column(name="fire_equipment_id")
	private Long fireEquipmentId;
	
	private RiskSource riskSource;

	public RiskSourceEquipment() {
	}

	public Long getEquipmentId() {
		return this.equipmentId;
	}

	public void setEquipmentId(Long equipmentId) {
		this.equipmentId = equipmentId;
	}

	public Long getRiskSourceId() {
		return this.riskSourceId;
	}

	public void setRiskSourceId(Long riskSourceId) {
		this.riskSourceId = riskSourceId;
	}

	public Long getFireEquipmentId() {
		return fireEquipmentId;
	}

	

	public void setFireEquipmentId(Long fireEquipmentId) {
		this.fireEquipmentId = fireEquipmentId;
	}
	
	@ManyToOne
	@JoinColumn(name = "riskSourceId", referencedColumnName = "id", updatable = false, insertable = false)	
	public RiskSource getRiskSource() {
		return riskSource;
	}
	@JsonBackReference
	public void setRiskSource(RiskSource riskSource) {
		this.riskSource = riskSource;
	}
	


	



}