package com.yeejoin.amos.fas.dao.entity;

import java.math.BigDecimal;
import java.math.BigInteger;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQuery;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonBackReference;


/**
 * The persistent class for the rpn_change_log database table.
 * 
 */
@Entity
@Table(name="f_rpn_change_log")
@NamedQuery(name="RpnChangeLog.findAll", query="SELECT r FROM RpnChangeLog r")
public class RpnChangeLog extends BasicEntity  {
	private static final long serialVersionUID = 1L;

	private String remark;

	@Column(name="risk_source_id")
	private BigInteger riskSourceId;

	private BigDecimal rpn;

	private BigDecimal rpni;

	@Column(name="trigger_by")
	private BigInteger triggerBy;

	private int type;
	
	private RiskSource riskSource;

	public RpnChangeLog() {
	}

	public String getRemark() {
		return this.remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public BigInteger getRiskSourceId() {
		return this.riskSourceId;
	}

	public void setRiskSourceId(BigInteger riskSourceId) {
		this.riskSourceId = riskSourceId;
	}

	public BigDecimal getRpn() {
		return this.rpn;
	}

	public void setRpn(BigDecimal rpn) {
		this.rpn = rpn;
	}

	public BigDecimal getRpni() {
		return this.rpni;
	}

	public void setRpni(BigDecimal rpni) {
		this.rpni = rpni;
	}

	public BigInteger getTriggerBy() {
		return this.triggerBy;
	}

	public void setTriggerBy(BigInteger triggerBy) {
		this.triggerBy = triggerBy;
	}

	public int getType() {
		return this.type;
	}

	public void setType(int type) {
		this.type = type;
	}

	@ManyToOne
	@JoinColumn(name = "riskSourceId", referencedColumnName = "id", updatable = false, insertable = false)
	public RiskSource getRiskSource() {
		return riskSource;
	}

	@JsonBackReference
	public void setRiskSource(RiskSource riskSource) {
		this.riskSource = riskSource;
	}

}