package com.yeejoin.amos.fas.business.dao.repository;

import java.util.List;

import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.yeejoin.amos.fas.dao.entity.Fmea;

@Repository("iFmeaDao")
public interface IFmeaDao extends BaseDao<Fmea, Long> {

	List<Fmea> findByRiskFactorsId(Long id);

	List<Fmea> findByRiskSourceId(Long id);

	/**
	 * 根据风险点ID删除fmea对象
	 * 
	 * @param riskSourceId
	 */
	@Modifying
	@Transactional
	@Query(value="delete from f_fmea where risk_source_id in (?1)", nativeQuery = true)
	void deleteByRiskSourceId(Long[] riskSourceId);

	/**
	 * 根据ID删除fmea对象
	 * 
	 * @param riskSourceId
	 */
	@Modifying
	@Transactional
	@Query(value="delete from f_fmea where id in (?1)", nativeQuery = true)
	void deleteById(Long[] fmeaIds);


	Fmea findById(Long id);
}
