package com.yeejoin.amos.fas.business.service.impl;

import com.yeejoin.amos.fas.business.dao.mapper.CommonMapper;
import com.yeejoin.amos.fas.business.dao.repository.IDeptmentDao;
import com.yeejoin.amos.fas.business.dao.repository.IUserDao;
import com.yeejoin.amos.fas.business.param.PointListParam;
import com.yeejoin.amos.fas.business.service.intfc.ICommonService;
import com.yeejoin.amos.fas.dao.entity.SDepartment;
import com.yeejoin.amos.fas.dao.entity.SUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.stereotype.Service;

import java.math.BigInteger;
import java.util.HashMap;
import java.util.List;

@Service("commonService")
public class CommonService implements ICommonService {

    @Autowired
    private IDeptmentDao deptmentDao;

    @Autowired
    private CommonMapper commonMapper;

    @Autowired
    private IUserDao userDao;

    @Override
    public List<SDepartment> getDepartment(Long companyId) {
        return deptmentDao.findDeptmentByCompanyId(BigInteger.valueOf(companyId), (byte) 0);
    }

    @Override
    public Page<HashMap<String, Object>> getPointList(PointListParam params) {
        long total = commonMapper.countPoint(params);
        List<HashMap<String, Object>> content = commonMapper.getPointList(params);
        Page<HashMap<String, Object>> result = new PageImpl<HashMap<String, Object>>(content, params, total);
        return result;
    }

    @Override
    public Page<HashMap<String, Object>> getPointInputList(PointListParam params) {
        long total = commonMapper.countPointInput(params);
        List<HashMap<String, Object>> content = commonMapper.getPointInputList(params);
        Page<HashMap<String, Object>> result = new PageImpl<HashMap<String, Object>>(content, params, total);
        return result;
    }

    @Override
    public List<SUser> getUsers(Long departmentId) {
        return userDao.findUserByDeptmentId(new BigInteger(departmentId.toString()), (byte) 0);
    }


}
